package com.hai.service;

import com.hai.entity.HighFleetOilCardCar;

import java.util.List;
import java.util.Map;

/**
 * @className: HighFleetOilCardCarService
 * @author: HuRui
 * @date: 2022/12/19
 **/
public interface HighFleetOilCardCarService {

    /**
     * 编辑数据
     * @param fleetOilCardCar
     */
    void editData(HighFleetOilCardCar fleetOilCardCar);

    /**
     * 批量增加
     * @param fleetOilCardCarList
     */
    void batchInsert(List<HighFleetOilCardCar> fleetOilCardCarList);

    /**
     * 根据id查询详情
     * @param id
     * @return
     */
    HighFleetOilCardCar getDetailById(Long id);

    /**
     * 查询车辆列表
     * @param param
     * @return
     */
    List<HighFleetOilCardCar> getCarList(Map<String, Object> param);

}
